@inproceedings{artho-hvc2013,
  author = {C. Artho and A. Biere and M. Hagiya and E. Platon and M. Seidl and Y. Tanabe and M. Yamamoto},
  title = {Modbat: A Model-based {API} Tester for Event-driven Systems},
  booktitle = {Proc.\ 9th Haifa Verification Conference (HVC~2013)},
  year = {2013},
  series = {LNCS},
  volume = {8244},
  publisher={Springer},
  pages = {112--128},
  address = {Haifa, Israel},
}

@inproceedings{artho-ase2013,
  author = {C. Artho and M. Hagiya and R. Potter and Y. Tanabe and F. Weitl and M. Yamamoto},
  title     = {Software Model Checking for Distributed Systems with Selector-Based, Non-Blocking Communication},
  booktitle = {Proc.\ 28th Int.\  Conf.\ on Automated Software Engineering (ASE~2013)},
  year      = {2013},
  address   = {Palo Alto, USA},
  publisher = {IEEE},
  pages = {169--179},
}

@inproceedings{Calikli:2010:EAF:1868328.1868344,
 author = {Calikli, G. and Bener, A.},
 title = {Empirical analyses of the factors affecting confirmation bias and the effects of confirmation bias on software developer/tester performance},
 booktitle = {Proc.\ 6th Int.\ Conf.\ on Predictive Models in Software Engineering},
 series = {PROMISE~2010},
 year = {2010},
 isbn = {978-1-4503-0404-7},
 location = {Timi\&scedil;oara, Romania},
 pages = {10:1--10:11},
 articleno = {10},
 numpages = {11},
 url = {http://doi.acm.org/10.1145/1868328.1868344},
 doi = {10.1145/1868328.1868344},
 acmid = {1868344},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {cognitive biases, confirmation bias, software engineering, software testing},
}

@inproceedings{artho-ftscs2013,
  author = {C. Artho and K. Hayamizu and R. Ramler and Y. Yamagata},
  title = {With an Open Mind: How to Write Good Models},
  booktitle = {Proc.\ 2nd Int.\ Workshop on Formal Techniques for Safety-Critical Systems (FTSCS~2013)},
  address = {Queenstown, New Zealand},
  pages = {3--18},
  series = {CCIS},
  number = {419},
  publisher = {Springer},
  year = {2014},
}

@article{Yu:2006:CMM:1183058.1183060,
 author = {Yu, Y. and Lau, M.},
 title = {A comparison of {MC/DC}, {MUMCUT} and several other coverage criteria for logical decisions},
 journal = {J. Syst. Softw.},
 issue_date = {May 2006},
 volume = {79},
 number = {5},
 month = may,
 year = {2006},
 issn = {0164-1212},
 pages = {577--590},
 numpages = {14},
 url = {http://dx.doi.org/10.1016/j.jss.2005.05.030},
 doi = {10.1016/j.jss.2005.05.030},
 acmid = {1183060},
 publisher = {Elsevier Science Inc.},
 address = {New York, NY, USA},
 keywords = {Condition coverage, Coverage criteria, Decision coverage, Logical decisions, MC/DC, MUMCUT},
} 

@book{Ammann:2008:IST:1355340,
 author = {Ammann, P. and Offutt, J.},
 title = {Introduction to Software Testing},
 year = {2008},
 isbn = {0521880386, 9780521880381},
 edition = {1},
 publisher = {Cambridge University Press},
 address = {New York, USA},
} 

@inproceedings{DBLP:conf/dac/BeattyB94,
  author    = {D. Beatty and
               R. Bryant},
  title     = {Formally Verifying a Microprocessor Using a Simulation Methodology},
  booktitle = {Proc.\ 31st Conf.\ on Design Automation (DAC~1994)},
  address = {San Diego, USA},
  year      = {1994},
  pages     = {596--602},
  ee        = {http://doi.acm.org/10.1145/196244.196575},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@inproceedings{conf/dac/BeerBEL96,
  added-at = {2002-12-16T00:00:00.000+0100},
  author = {Beer, I. and Ben-David, S. and Eisner, C. and Landver, A.},
  biburl = {http://www.bibsonomy.org/bibtex/2a5ffc7c59d52f986cd8892942a0396aa/dblp},
  date = {2002-12-16},
  description = {dblp},
  ee = {http://doi.acm.org/10.1145/240518.240642},
  interhash = {f25914a10ddbc6ee74632767d752386a},
  intrahash = {a5ffc7c59d52f986cd8892942a0396aa},
  keywords = {dblp},
  pages = {655-660},
  timestamp = {2002-12-16T00:00:00.000+0100},
  title = {RuleBase: An Industry-Oriented Formal Verification Tool},
  booktitle = {Proc.\ 33rd Conf.\ on Design Automation (DAC~1996)},
  url = {http://dblp.uni-trier.de/db/conf/dac/dac96.html#BeerBEL96},
  address = {Las Vegas, USA},
  year = 1996
}

@inproceedings{Ma:2015:GST:2821339.2821355,
 author = {Ma, L. and Artho, C. and Zhang, C. and Sato, H. and Hagiya, M. and Tanabe, Y. and Yamamoto, M.},
 title = {{GRT} at the {SBST} 2015 Tool Competition},
 booktitle = {Proceedings of the Eighth International Workshop on Search-Based Software Testing},
 series = {SBST'15},
 year = {2015},
 location = {Florence, Italy},
 pages = {48--51},
 publisher = {IEEE Press},
 address = {Florence, Italy},
} 


@inproceedings{ramler2012,
author = {R. Ramler and D. Winkler and M. Schmidt},
title = {Random Test Case Generation and Manual Unit Testing: Substitute or Complement in Retrofitting Tests for Legacy Code?},
booktitle ={36th Conf.\ on Software Engineering and Advanced Applications},
year = {2012},
pages = {286--293},
publisher = {IEEE Computer Society},
}
%address = {Los Alamitos, CA, USA},

@inproceedings{Ramler2013,
 author = {Ramler, R. and Wolfmaier, K. and Kopetzky, T.},
 title = {A Replicated Study on Random Test Case Generation and Manual Unit Testing: How Many Bugs Do Professional Developers Find?},
 booktitle = {Proc.\ 37th Annual Int.\ Comp.\ Software \& Applications Conf.},
 series = {COMPSAC'13},
 year = {2013},
 pages = {484--491},
 numpages = {8},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
} 

@inproceedings{Just:2014:DDE:2610384.2628055,
 author = {Just, R. and Jalali, D. and Ernst, M.},
 title = {{Defects4J:} A Database of Existing Faults to Enable Controlled Testing Studies for {Java} Programs},
 booktitle = {Proceedings of the 2014 International Symposium on Software Testing and Analysis},
 series = {ISSTA'14},
 year = {2014},
 pages = {437--440},
 address = {San Jose, CA, USA},
} 

@MISC{ArgitarOne:2015,
  author = {{AgitarOne}},
  title = {{http://www.agitar.com/}}
}

@inproceedings{ShamshiriJRFMA2015,
   author = {S. Shamshiri and R. Just and J. Rojas and
  G. Fraser and P. McMinn and A. Arcuri},
   title = {Do Automatically Generated Unit Tests Find Real Faults? An
  Empirical Study of Effectiveness and Challenges},
   booktitle = {Proceedings of the International Conference on Automated
  Software Engineering (ASE)},
   pages = {201--211},
   address = {Lincoln, NE, USA},
   month = {November~11--13,},
   year = {2015},
}

@inproceedings{Just:2014:MVS:2635868.2635929,
 author = {Just, R. and Jalali, D. and Inozemtseva, L. and Ernst, M. and Holmes, R. and Fraser, G.},
 title = {Are Mutants a Valid Substitute for Real Faults in Software Testing?},
 booktitle = {Proceedings of the 22Nd ACM SIGSOFT International Symposium on Foundations of Software Engineering},
 series = {FSE'14},
 year = {2014},
 location = {Hong Kong, China},
 pages = {654--665},
 numpages = {12},
 address = {Hong Kong, China},
} 

@inproceedings{Xiao:2011:PIP:1985793.1985876,
 author = {Xiao, X. and Xie, T. and Tillmann, N. and de Halleux, J.},
 title = {Precise Identification of Problems for Structural Test Generation},
 booktitle = {Proceedings of the 33rd International Conference on Software Engineering},
 series = {ICSE '11},
 year = {2011},
 isbn = {978-1-4503-0445-0},
 location = {Waikiki, Honolulu, HI, USA},
 pages = {611--620},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/1985793.1985876},
 doi = {10.1145/1985793.1985876},
 acmid = {1985876},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {data dependency, dynamic symbolic execution, problem identification, structural test generation},
} 


@article{Anand:2013:OSM:2503903.2503991,
 author = {Anand, S. and Burke, E. and Chen, T. and Clark, J. and Cohen, M. and Grieskamp, W. and Harman, M. and Harrold, M. and Mcminn, P.},
 title = {An Orchestrated Survey of Methodologies for Automated Software Test Case Generation},
 journal = {J. Syst. Softw.},
 issue_date = {August, 2013},
 volume = {86},
 number = {8},
 month = aug,
 year = {2013},
 pages = {1978--2001},
 numpages = {24},
 publisher = {Elsevier Science Inc.},
 address = {New York, NY, USA},
 keywords = {Adaptive random testing, Combinatorial testing, Model-based testing, Orchestrated survey, Search-based software testing, Software testing, Symbolic execution, Test automation, Test case generation},
} 


@book{Manning:2008:IIR:1394399,
 author = {Manning, Christopher D. and Raghavan, Prabhakar and Sch\"{u}tze, Hinrich},
 title = {Introduction to Information Retrieval},
 year = {2008},
 isbn = {0521865719, 9780521865715},
 publisher = {Cambridge University Press},
 address = {New York, NY, USA},
} 

@inproceedings{ase15_GRT,
AUTHOR={Ma, L. and  Artho, C. and Zhang ,C. and Sato, H. and Gmeiner, J. and Ramler, R},
TITLE={{GRT}: Program-Analysis-Guided Random Testing},
booktitle={IEEE/ACM Int.\ Conference on Automated Software Engineering},
series = {ASE'15},
pages = {212--223},
year = {2015},
address = {Lincoln, Nebraska, USA},
}

@inproceedings{ase15_GRT_tool,
AUTHOR={Ma, L. and  Artho, C. and Zhang ,C. and Sato, H. and Gmeiner, J. and Ramler, R.},
TITLE={{GRT}: An Automated Test Generator using Orchestrated Program Analysis},
booktitle={IEEE/ACM Int.\ Conference on Automated Software Engineering},
series = {ASE'15},
pages = {842--847},
year = {2015},
address = {Lincoln, Nebraska, USA},
}

% * Use feedback information to generate method call sequences
% * Use existing passing test cases to infer program execution models
@inproceedings{Pacheco:2005:EAG:2144892.2144921,
 author = {Pacheco, C. and Ernst, M.},
 title = {Eclat: Automatic Generation and Classification of Test Inputs},
 booktitle = {Proceedings of the 19th European Conference on Object-Oriented Programming},
 series = {ECOOP'05},
 year = {2005},
 isbn = {3-540-27992-X, 978-3-540-27992-1},
 pages = {504--527},
 address = {Glasgow, UK},
}


@inproceedings{Pacheco:2007:FRT:1248820.1248841,
 author = {Pacheco, C. and Lahiri, S. and Ernst, M. and Ball, T.},
 title = {Feedback-Directed Random Test Generation},
 booktitle = {Proceedings of the 29th International Conference on Software Engineering},
 series = {ICSE'07},
 year = {2007},
 pages = {75--84},
 address = {Washington, DC, USA},
} 

@misc{apache-collections,
  author = {M. Benson and J. Carman and S. Colebourne and R. Donkin and M. Delagrange and G. Gregory and M. Hawthorne and D. Laha and G. Magnusson and L. Maisonobe and C. McClanahan and T. Neidhart and A. Nistor and P. Steitz and A. Thomas and R. Waldhoff and H. Yandell},
  title = {Apache {C}ommons {C}ollections {API}},
  note = "\url{https://commons.apache.org/proper/commons-collections/apidocs/}",
  year = 2015,
}

@misc{java-8-annotations,
  author = {E. Costlow},
  title = "Java 8's new Type Annotations",
  note = "\url{https://blogs.oracle.com/java-platform-group/entry/java_8_s_new_type}",
  year = 2015,
}

@article{Barr2015,
  author  = "Barr, E. and Harman, M. and McMinn, P. and Shahbaz,
             M. and Yoo, S.",
  title   = "The Oracle Problem in Software Testing: A Survey",
  journal = "IEEE Transactions on Software Engineering",
  volume  = "41",
  number  = "5",
  pages   = "507--525",
  year    = "2015"
}

@inproceedings{Fraser:2011:EAT:2025113.2025179,
 author = {Fraser, G. and Arcuri, A.},
 title = {EvoSuite: Automatic Test Suite Generation for Object-oriented Software},
 booktitle = {Proceedings of the 19th ACM SIGSOFT Symposium and the 13th European Conference on Foundations of Software Engineering},
 series = {ESEC/FSE'11},
 year = {2011},
 isbn = {978-1-4503-0443-6},
 location = {Szeged, Hungary},
 pages = {416--419},
 numpages = {4},
 address = {Szeged, Hungary},
 keywords = {assertion generation, search based soft- ware testing, test case generation},
}

